
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * Sara Fleury
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef RMP440_PRINTXML_H
#define RMP440_PRINTXML_H

#include "genom/printScan.h"
#include "genom/printXMLProto.h"

/* Structures definies par d'autres modules */

#include "server/genBasicPrintXML.h"

#include "server/genPosPrintXML.h"

#include "server/pomPrintXML.h"


#include "rmp440PosterLib.h"

/* Prototypes */
extern void printXML_struct_RMP440_STATUSGENERIC_POSTER_STR ( FILE *out, char *name,
     struct RMP440_STATUSGENERIC_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RMP440_STATUS_POSTER_STR ( FILE *out, char *name,
     struct RMP440_STATUS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RMP440_REF_POSTER_STR ( FILE *out, char *name,
     struct RMP440_REF_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RMP440_ODO_POSTER_STR ( FILE *out, char *name,
     struct RMP440_ODO_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RMP440_MEPOS_POSTER_STR ( FILE *out, char *name,
     struct RMP440_MEPOS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RMP440_STR ( FILE *out, char *name,
     struct RMP440_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RMP440_MAX_ACCEL ( FILE *out, char *name,
     struct RMP440_MAX_ACCEL *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RMP440_GYRO_ASSERV ( FILE *out, char *name,
     struct RMP440_GYRO_ASSERV *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RMP440_GYRO ( FILE *out, char *name,
     struct RMP440_GYRO *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RMP440_GYRO_PARAMS ( FILE *out, char *name,
     struct RMP440_GYRO_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_RMP440_GYRO_MODE ( FILE *out, char *name,
     enum RMP440_GYRO_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_GYRO_TYPE ( FILE *out, char *name,
     enum GYRO_TYPE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RMP440_ODOMETRY_METHOD ( FILE *out, char *name,
     struct RMP440_ODOMETRY_METHOD *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_RMP440_ODOMETRY_MODE ( FILE *out, char *name,
     enum RMP440_ODOMETRY_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RMP440_CART_3DCONFIG ( FILE *out, char *name,
     struct RMP440_CART_3DCONFIG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RMP440_CART_3DSTATE ( FILE *out, char *name,
     struct RMP440_CART_3DSTATE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RMP440_TRACK_PARAMS ( FILE *out, char *name,
     struct RMP440_TRACK_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RMP440_VAR_PARAMS ( FILE *out, char *name,
     struct RMP440_VAR_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RMP440_DYNAMIC_STR ( FILE *out, char *name,
     struct RMP440_DYNAMIC_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RMP440_KINEMATICS_STR ( FILE *out, char *name,
     struct RMP440_KINEMATICS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RMP_STATUS_STR ( FILE *out, char *name,
     struct RMP_STATUS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_RMP_MODEL ( FILE *out, char *name,
     enum RMP_MODEL *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RMP440_STATUS_STR ( FILE *out, char *name,
     struct RMP440_STATUS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_RMP440_FEEDBACK ( FILE *out, char *name,
     struct RMP440_FEEDBACK *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_RMP440_MODE ( FILE *out, char *name,
     enum RMP440_MODE *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void printXML_RMP440_MODE ( FILE *out, char *name,
     RMP440_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RMP440_FEEDBACK ( FILE *out, char *name,
     RMP440_FEEDBACK *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RMP440_STATUS_STR ( FILE *out, char *name,
     RMP440_STATUS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RMP_MODEL ( FILE *out, char *name,
     RMP_MODEL *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RMP_STATUS_STR ( FILE *out, char *name,
     RMP_STATUS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RMP440_KINEMATICS_STR ( FILE *out, char *name,
     RMP440_KINEMATICS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RMP440_DYNAMIC_STR ( FILE *out, char *name,
     RMP440_DYNAMIC_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RMP440_VAR_PARAMS ( FILE *out, char *name,
     RMP440_VAR_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RMP440_TRACK_PARAMS ( FILE *out, char *name,
     RMP440_TRACK_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RMP440_CART_3DSTATE ( FILE *out, char *name,
     RMP440_CART_3DSTATE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RMP440_CART_3DCONFIG ( FILE *out, char *name,
     RMP440_CART_3DCONFIG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RMP440_ODOMETRY_MODE ( FILE *out, char *name,
     RMP440_ODOMETRY_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RMP440_ODOMETRY_METHOD ( FILE *out, char *name,
     RMP440_ODOMETRY_METHOD *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_GYRO_TYPE ( FILE *out, char *name,
     GYRO_TYPE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RMP440_GYRO_MODE ( FILE *out, char *name,
     RMP440_GYRO_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RMP440_GYRO_PARAMS ( FILE *out, char *name,
     RMP440_GYRO_PARAMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RMP440_GYRO ( FILE *out, char *name,
     RMP440_GYRO *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RMP440_GYRO_ASSERV ( FILE *out, char *name,
     RMP440_GYRO_ASSERV *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RMP440_MAX_ACCEL ( FILE *out, char *name,
     RMP440_MAX_ACCEL *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RMP440_STR ( FILE *out, char *name,
     RMP440_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RMP440_MEPOS_POSTER_STR ( FILE *out, char *name,
     RMP440_MEPOS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RMP440_ODO_POSTER_STR ( FILE *out, char *name,
     RMP440_ODO_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RMP440_REF_POSTER_STR ( FILE *out, char *name,
     RMP440_REF_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RMP440_STATUS_POSTER_STR ( FILE *out, char *name,
     RMP440_STATUS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_RMP440_STATUSGENERIC_POSTER_STR ( FILE *out, char *name,
     RMP440_STATUSGENERIC_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );

#endif /* RMP440_PRINT_XML_H */

