
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef RMP440_SCAN_H
#define RMP440_SCAN_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/genBasicTclservClientDecode.h"

#include "server/tclservClient/genPosTclservClientDecode.h"

#include "server/tclservClient/pomTclservClientDecode.h"


/* Structures du module */
#include "server/rmp440PosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_RMP440_STATUSGENERIC_POSTER_STR (char** buf, struct RMP440_STATUSGENERIC_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_RMP440_STATUS_POSTER_STR (char** buf, struct RMP440_STATUS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_RMP440_REF_POSTER_STR (char** buf, struct RMP440_REF_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_RMP440_ODO_POSTER_STR (char** buf, struct RMP440_ODO_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_RMP440_MEPOS_POSTER_STR (char** buf, struct RMP440_MEPOS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_RMP440_STR (char** buf, struct RMP440_STR *x, int nDim, int *dims );
int scan_buf_struct_RMP440_MAX_ACCEL (char** buf, struct RMP440_MAX_ACCEL *x, int nDim, int *dims );
int scan_buf_struct_RMP440_GYRO_ASSERV (char** buf, struct RMP440_GYRO_ASSERV *x, int nDim, int *dims );
int scan_buf_struct_RMP440_GYRO (char** buf, struct RMP440_GYRO *x, int nDim, int *dims );
int scan_buf_struct_RMP440_GYRO_PARAMS (char** buf, struct RMP440_GYRO_PARAMS *x, int nDim, int *dims );
int scan_buf_enum_RMP440_GYRO_MODE (char** buf, enum RMP440_GYRO_MODE *x, int nDim, int *dims );
int scan_buf_enum_GYRO_TYPE (char** buf, enum GYRO_TYPE *x, int nDim, int *dims );
int scan_buf_struct_RMP440_ODOMETRY_METHOD (char** buf, struct RMP440_ODOMETRY_METHOD *x, int nDim, int *dims );
int scan_buf_enum_RMP440_ODOMETRY_MODE (char** buf, enum RMP440_ODOMETRY_MODE *x, int nDim, int *dims );
int scan_buf_struct_RMP440_CART_3DCONFIG (char** buf, struct RMP440_CART_3DCONFIG *x, int nDim, int *dims );
int scan_buf_struct_RMP440_CART_3DSTATE (char** buf, struct RMP440_CART_3DSTATE *x, int nDim, int *dims );
int scan_buf_struct_RMP440_TRACK_PARAMS (char** buf, struct RMP440_TRACK_PARAMS *x, int nDim, int *dims );
int scan_buf_struct_RMP440_VAR_PARAMS (char** buf, struct RMP440_VAR_PARAMS *x, int nDim, int *dims );
int scan_buf_struct_RMP440_DYNAMIC_STR (char** buf, struct RMP440_DYNAMIC_STR *x, int nDim, int *dims );
int scan_buf_struct_RMP440_KINEMATICS_STR (char** buf, struct RMP440_KINEMATICS_STR *x, int nDim, int *dims );
int scan_buf_struct_RMP_STATUS_STR (char** buf, struct RMP_STATUS_STR *x, int nDim, int *dims );
int scan_buf_enum_RMP_MODEL (char** buf, enum RMP_MODEL *x, int nDim, int *dims );
int scan_buf_struct_RMP440_STATUS_STR (char** buf, struct RMP440_STATUS_STR *x, int nDim, int *dims );
int scan_buf_struct_RMP440_FEEDBACK (char** buf, struct RMP440_FEEDBACK *x, int nDim, int *dims );
int scan_buf_enum_RMP440_MODE (char** buf, enum RMP440_MODE *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_RMP440_MODE (char** buf, RMP440_MODE *x, int nDim, int *dims );
int scan_buf_RMP440_FEEDBACK (char** buf, RMP440_FEEDBACK *x, int nDim, int *dims );
int scan_buf_RMP440_STATUS_STR (char** buf, RMP440_STATUS_STR *x, int nDim, int *dims );
int scan_buf_RMP_MODEL (char** buf, RMP_MODEL *x, int nDim, int *dims );
int scan_buf_RMP_STATUS_STR (char** buf, RMP_STATUS_STR *x, int nDim, int *dims );
int scan_buf_RMP440_KINEMATICS_STR (char** buf, RMP440_KINEMATICS_STR *x, int nDim, int *dims );
int scan_buf_RMP440_DYNAMIC_STR (char** buf, RMP440_DYNAMIC_STR *x, int nDim, int *dims );
int scan_buf_RMP440_VAR_PARAMS (char** buf, RMP440_VAR_PARAMS *x, int nDim, int *dims );
int scan_buf_RMP440_TRACK_PARAMS (char** buf, RMP440_TRACK_PARAMS *x, int nDim, int *dims );
int scan_buf_RMP440_CART_3DSTATE (char** buf, RMP440_CART_3DSTATE *x, int nDim, int *dims );
int scan_buf_RMP440_CART_3DCONFIG (char** buf, RMP440_CART_3DCONFIG *x, int nDim, int *dims );
int scan_buf_RMP440_ODOMETRY_MODE (char** buf, RMP440_ODOMETRY_MODE *x, int nDim, int *dims );
int scan_buf_RMP440_ODOMETRY_METHOD (char** buf, RMP440_ODOMETRY_METHOD *x, int nDim, int *dims );
int scan_buf_GYRO_TYPE (char** buf, GYRO_TYPE *x, int nDim, int *dims );
int scan_buf_RMP440_GYRO_MODE (char** buf, RMP440_GYRO_MODE *x, int nDim, int *dims );
int scan_buf_RMP440_GYRO_PARAMS (char** buf, RMP440_GYRO_PARAMS *x, int nDim, int *dims );
int scan_buf_RMP440_GYRO (char** buf, RMP440_GYRO *x, int nDim, int *dims );
int scan_buf_RMP440_GYRO_ASSERV (char** buf, RMP440_GYRO_ASSERV *x, int nDim, int *dims );
int scan_buf_RMP440_MAX_ACCEL (char** buf, RMP440_MAX_ACCEL *x, int nDim, int *dims );
int scan_buf_RMP440_STR (char** buf, RMP440_STR *x, int nDim, int *dims );
int scan_buf_RMP440_MEPOS_POSTER_STR (char** buf, RMP440_MEPOS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_RMP440_ODO_POSTER_STR (char** buf, RMP440_ODO_POSTER_STR *x, int nDim, int *dims );
int scan_buf_RMP440_REF_POSTER_STR (char** buf, RMP440_REF_POSTER_STR *x, int nDim, int *dims );
int scan_buf_RMP440_STATUS_POSTER_STR (char** buf, RMP440_STATUS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_RMP440_STATUSGENERIC_POSTER_STR (char** buf, RMP440_STATUSGENERIC_POSTER_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* RMP440_SCAN_H */

