
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef rmp440_TCLSERV_CLIENT_MSG_LIB_H
#define rmp440_TCLSERV_CLIENT_MSG_LIB_H

#include <server/rmp440Type.h>

/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif

int rmp440TclservClientInit (TCLSERV_CLIENT_ID pClientId);

int rmp440TclservClientEnd (TCLSERV_CLIENT_ID clientId);



int rmp440TclservClientInitRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 GEN_STRING32 *(in_device) 
		);

int rmp440TclservClientInitReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int rmp440TclservClientInitRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				GEN_STRING32 *(in_device) ,
				
				int *bilan);

int rmp440TclservClientInitRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					GEN_STRING32 *(in_device) ,
					
					int *bilan);




int rmp440TclservClientSetCmdParamRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 GENPOS_CART_CMD_PARAM *(in_cmd)
		);

int rmp440TclservClientSetCmdParamReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int rmp440TclservClientSetCmdParamRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 GENPOS_CART_CMD_PARAM *(in_cmd) ,
				 
				 int *bilan);




int rmp440TclservClientSetKinematicsParamRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 RMP440_KINEMATICS_STR *(in_kinematics)
		);

int rmp440TclservClientSetKinematicsParamReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int rmp440TclservClientSetKinematicsParamRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 RMP440_KINEMATICS_STR *(in_kinematics) ,
				 
				 int *bilan);




int rmp440TclservClientGetDynamicsParamRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int rmp440TclservClientGetDynamicsParamReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       RMP440_DYNAMIC_STR *(out_dynamics),
			       int *bilan);

int rmp440TclservClientGetDynamicsParamRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 RMP440_DYNAMIC_STR *(out_dynamics),
				 int *bilan);




int rmp440TclservClientSetVarParamRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 RMP440_VAR_PARAMS *(in_varParams)
		);

int rmp440TclservClientSetVarParamReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int rmp440TclservClientSetVarParamRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 RMP440_VAR_PARAMS *(in_varParams) ,
				 
				 int *bilan);




int rmp440TclservClientStopRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int rmp440TclservClientStopReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int rmp440TclservClientStopRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 
				 int *bilan);




int rmp440TclservClientJoystickOnRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int rmp440TclservClientJoystickOnReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int rmp440TclservClientJoystickOnRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int rmp440TclservClientJoystickOnRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int rmp440TclservClientTrackRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 RMP440_TRACK_PARAMS *(in_trackParams) 
		);

int rmp440TclservClientTrackReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int rmp440TclservClientTrackRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				RMP440_TRACK_PARAMS *(in_trackParams) ,
				
				int *bilan);

int rmp440TclservClientTrackRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					RMP440_TRACK_PARAMS *(in_trackParams) ,
					
					int *bilan);




int rmp440TclservClientSetPomRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 GENPOS_POSTER_NAME *(in_mePosterName) 
		);

int rmp440TclservClientSetPomReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int rmp440TclservClientSetPomRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				GENPOS_POSTER_NAME *(in_mePosterName) ,
				
				int *bilan);

int rmp440TclservClientSetPomRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					GENPOS_POSTER_NAME *(in_mePosterName) ,
					
					int *bilan);




int rmp440TclservClientSetPosRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 RMP440_CART_3DCONFIG *(in_setPosStr)
		);

int rmp440TclservClientSetPosReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int rmp440TclservClientSetPosRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 RMP440_CART_3DCONFIG *(in_setPosStr) ,
				 
				 int *bilan);




int rmp440TclservClientGyroRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 RMP440_GYRO_PARAMS *(in_params) 
		);

int rmp440TclservClientGyroReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int rmp440TclservClientGyroRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				RMP440_GYRO_PARAMS *(in_params) ,
				
				int *bilan);

int rmp440TclservClientGyroRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					RMP440_GYRO_PARAMS *(in_params) ,
					
					int *bilan);




int rmp440TclservClientGetGyroRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int rmp440TclservClientGetGyroReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       RMP440_GYRO_PARAMS *(out_params),
			       int *bilan);

int rmp440TclservClientGetGyroRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 RMP440_GYRO_PARAMS *(out_params),
				 int *bilan);




int rmp440TclservClientSetOdometryMethodRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 RMP440_ODOMETRY_METHOD *(in_odometryCommand) 
		);

int rmp440TclservClientSetOdometryMethodReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int rmp440TclservClientSetOdometryMethodRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				RMP440_ODOMETRY_METHOD *(in_odometryCommand) ,
				
				int *bilan);

int rmp440TclservClientSetOdometryMethodRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					RMP440_ODOMETRY_METHOD *(in_odometryCommand) ,
					
					int *bilan);




int rmp440TclservClientLogRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 GEN_STRING128 *(in_fileName) 
		);

int rmp440TclservClientLogReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int rmp440TclservClientLogRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				GEN_STRING128 *(in_fileName) ,
				
				int *bilan);

int rmp440TclservClientLogRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					GEN_STRING128 *(in_fileName) ,
					
					int *bilan);




int rmp440TclservClientStopLogRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int rmp440TclservClientStopLogReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int rmp440TclservClientStopLogRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 
				 int *bilan);




int rmp440TclservClientLogInternalDataRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 GEN_STRING128 *(in_fileName) 
		);

int rmp440TclservClientLogInternalDataReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int rmp440TclservClientLogInternalDataRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				GEN_STRING128 *(in_fileName) ,
				
				int *bilan);

int rmp440TclservClientLogInternalDataRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					GEN_STRING128 *(in_fileName) ,
					
					int *bilan);




int rmp440TclservClientStopInternalDataLogRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int rmp440TclservClientStopInternalDataLogReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int rmp440TclservClientStopInternalDataLogRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 
				 int *bilan);




int rmp440TclservClientGotoRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 GENPOS_CART_REF *(in_ref)
		);

int rmp440TclservClientGotoReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int rmp440TclservClientGotoRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 GENPOS_CART_REF *(in_ref) ,
				 
				 int *bilan);


#ifdef __cplusplus
}
#endif
#endif /* rmp440TCLSERV_CLIENT_MSG_LIB_H */

